[arch-commits] Commit in spassgen/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 18 01:59:07 EDT 2009


    Date: Saturday, April 18, 2009 @ 01:59:06
  Author: eric
Revision: 35899

Merged revisions 13883,35898 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/spassgen/trunk

........
  r13883 | allan | 2008-09-29 02:26:03 -0400 (Mon, 29 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r35898 | eric | 2009-04-18 01:58:51 -0400 (Sat, 18 Apr 2009) | 2 lines
  
  upgpkg: spassgen 1.5-6
      Added license, Disabled SMP build
........

Modified:
  spassgen/repos/extra-x86_64/	(properties)
  spassgen/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)


Property changes on: spassgen/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /spassgen/trunk:1-8882
   + /spassgen/trunk:1-35898

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-18 05:58:51 UTC (rev 35898)
+++ extra-x86_64/PKGBUILD	2009-04-18 05:59:06 UTC (rev 35899)
@@ -3,22 +3,25 @@
 
 pkgname=spassgen
 pkgver=1.5
-pkgrel=5
+pkgrel=6
 pkgdesc="A small program that generates passwords"
 arch=(i686 x86_64)
 url="http://spassgen.sourceforge.net/"
+license=('GPL2')
 depends=('qt3')
-source=(http://mesh.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2)
+options=('!makeflags')
+source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2)
 md5sums=('ed019dda56551fb860c74016baa91fa4')
 
 build() {
-  cd $startdir/src/$pkgname
+  cd $srcdir/$pkgname
   . /etc/profile.d/qt3.sh
-   qmake -project spassgen.pro
-   qmake
-   make || return 1
-   mkdir -p $startdir/pkg/opt/kde/{bin,share/icons/crystalsvg}
-   cp spassgen $startdir/pkg/opt/kde/bin
-   cd icons
-   cp -r * $startdir/pkg/opt/kde/share/icons/crystalsvg
+  qmake -project spassgen.pro || return 1
+  qmake || return 1
+  make || return 1
+  install -d $pkgdir/opt/kde/{bin,share/icons/crystalsvg}
+  install -m755 spassgen $pkgdir/opt/kde/bin/spassgen || return 1
+  cd icons
+  cp -r * $pkgdir/opt/kde/share/icons/crystalsvg || return 1
+  rm -r $pkgdir/opt/kde/share/icons/crystalsvg/16x16/.xvpics
  }



More information about the arch-commits mailing list